Page MenuHomePhabricator

Fix page settings/advanced settings icons
Closed, ResolvedPublic

Description

The new settings/advanced icons look sub-optimal in VE:

Why is 'advanced' represented by a cog on a page?

Before:

Event Timeline

Esanders created this task.Mar 20 2018, 3:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2018, 3:52 PM
Jdforrester-WMF moved this task from Backlog to OOUI-0.26.0 on the OOUI board.Mar 20 2018, 6:02 PM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.26.0); removed OOUI.

I think at the time there was a suggestion to use different icons in VE, but that doesn't fix the upstream semantic issue of: settings => cog, advanced => cog-in-page

We've got a similar issue in Echo:

Volker_E triaged this task as Normal priority.Mar 21 2018, 11:44 PM

@Esanders Yeah, so the naming was kinda off for both icons reversely. I think it would be better for OOUI devs to go with clearer names:
'advanced' is definitely in use in:

  • VE x2
  • RCFilters
  • Echo
  • ContentTranslation
  • TemplateData
  • Translate

while[[ https://codesearch.wmflabs.org/search/?q=%27settings%27&i=nope&files=&repos= | 'settings' is used in ]]

  • VE x3
  • BlueSpiceExtendedSearch
  • Cite

and I'm not convinced that it's the right icon in latter two.

So for now, I think, changing files is quickest to tame the regression. But we should actively rename one, the other or best both, to give a better hint what they are used for elsewhere.

Change 421215 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: Correct icon regression

https://gerrit.wikimedia.org/r/421215

Jdforrester-WMF moved this task from OOUI-0.26.0 to OOUI-0.26.1 on the OOUI board.Mar 22 2018, 4:57 PM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.26.1); removed OOUI (OOUI-0.26.0).

Change 421215 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Swap 'advanced' and 'settings' icons

https://gerrit.wikimedia.org/r/421215

Volker_E closed this task as Resolved.Mar 23 2018, 9:51 PM
Volker_E claimed this task.

Continuing clarification of names in T190581

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 23 2018, 9:52 PM